## class ScaleDialog : public MessageDialog

> scale dialog class.

## Inheritance:

### Public Methods

  | ScaleDialog (Widget parent)
  const char* | GetClassName ()
  void | SetScaleValues (int min, int max, int init, int decimal, int def)
  void | SetScaleLabel (const char *text)
  void | SetValueChangedCallback (XtCallbackProc fun, XtPointer clientData)
  void | SetScaleValue (int val)
  int | GetScaleValue ()
  int | GetDefaultValue ()
  int | GetInitValue ()

### Protected Methods

  void | CreateWidget ()
  void | Configure ()
  static void | SetDefaultCB (Widget, XtPointer cd, XtPointer)
  static void | SetInitCB (Widget, XtPointer cd, XtPointer)

### Inherited from MessageDialog:

### Public Classes

enum DialogType

### Public Methods

void Popup()
virtual void Show(const char *title, const char *msg)
virtual void Show(const char *title, const string *msg)
void SetMessageString(const string *s)
void SetMessageString(const char *s)

### Inherited from Dialog:

### Public Fields

static const unsigned MAXTITLE

### Public Methods

void Initialize()
virtual void SetOKCallback(XtCallbackProc fun, XtPointer clientData)
virtual void SetCancelCallback(XtCallbackProc fun, XtPointer clientData)
virtual void SetHelpCallback(XtCallbackProc fun, XtPointer clientData)
void SetOKButtonLabel(const char *txt)
void SetCancelButtonLabel(const char *txt)
void SetHelpButtonLabel(const char *txt)
void ManageOKButton(bool)
void ManageCancelButton(bool)
void ManageHelpButton(bool)
virtual void SetAutoDestroy(bool b)
virtual void Popdown()
void SetTitle(const char *title)
void SetTitle(const string *title)
void GetTitle(char *title)
void GetTitle(string *title)
void SetModal(bool b)
void SetAutoUnmanage(bool b)
bool GetAutoUnmanage()
void SetCenteredOnPointer(bool b)
static void UnmanageCB(Widget, XtPointer, XtPointer)
static void DestroyCB(Widget, XtPointer, XtPointer)
static void DestroyWidgetCB(Widget, XtPointer, XtPointer)
static void TraverseNextCB(Widget, XtPointer, XtPointer)
static void TraverseNextGroupCB(Widget, XtPointer, XtPointer)

### Protected Methods

Widget GetParent()
void ManageWidget(Widget, bool)
void ManageCenteredOnPointer()

### Inherited from MWidget:

### Public Methods

virtual void Manage()
bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
virtual void Unmanage()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> scale dialog class.

`ScaleDialog(Widget parent)`

`const char* GetClassName()`

`void SetScaleValues(int min, int max, int init, int decimal, int def)`

`void SetScaleLabel(const char *text)`

`void SetValueChangedCallback(XtCallbackProc fun, XtPointer clientData)`

`void SetScaleValue(int val)`

`int GetScaleValue()`

`int GetDefaultValue()`

`int GetInitValue()`

`void CreateWidget()`

`void Configure()`

`static void SetDefaultCB(Widget, XtPointer cd, XtPointer)`

`static void SetInitCB(Widget, XtPointer cd, XtPointer)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de